/*******************************************************
Product list Styles
********************************************************/
.product_list {
    position: relative;
}

ul.product_list .availability span {
    /*	display: inline-block;*/
    color: #fff;
    padding: 3px 8px 4px 8px;
    margin-bottom: 20px;
    display: none;
}

ul.product_list .availability span.available-now {
    background: #46a74e;
    -webkit-border-radius: 5px;
    -moz-border-radius: 5px;
    -ms-border-radius: 5px;
    border-radius: 5px;
}

ul.product_list .availability span.out-of-stock {
    background: #ffb773;
    -webkit-border-radius: 5px;
    -moz-border-radius: 5px;
    -ms-border-radius: 5px;
    border-radius: 5px;
}

ul.product_list .color-list-container ul li {
    display: inline-block;
    margin: 0;
    border: 1px solid #e2e2e2;
    padding: 0;
    width: auto;
    float: none;
}

ul.product_list .color-list-container ul li a {
    display: block;
    width: 15px;
    height: 15px;
    margin: 1px;
}

ul.product_list .product-image-container {
    text-align: center;
}

ul.product_list .product-image-container img {
    max-width: 100%;
    margin: 0 auto;
    min-width: 145px;
}

.product_img_link {
    display: block;
    padding-top: 10px;
}

ul.product_list li:hover .product_img_link > img {
    opacity: 0.7;
}

@media (min-width: 1280px) {
    ul.product_list .product-image-container .quick-view {
        display: none;
        -moz-transition-duration: 500ms;
        -webkit-transition-duration: 500ms;
        transition-duration: 500ms;
    }
}

@media (max-width: 767px) {
    ul.product_list .product-image-container .quick-view {
        display: none !important;
    }
}

ul.product_list .comments_note {
    text-align: center;
    overflow: hidden;
    position: absolute;
    top: -85px;
    left: 0;
    right: 0;
}

ul.product_list .comments_note .star_content {
    float: left;
}

@media (max-width: 479px) {
    ul.product_list .comments_note .star_content {
        float: none;
    }
}

ul.product_list .comments_note .nb-comments {
    overflow: hidden;
    font-style: italic;
    display: none;
}

ul.product_list .right-block .button-container .functional-buttons {
    display: none;
}

ul.product_list .functional-buttons {
    display: block;
}

ul.product_list .functional-buttons div a, ul.product_list .functional-buttons div label {
    font-weight: normal;
    color: #2271b2;
    cursor: pointer;
    font-size: 0;
    line-height: 21px;
    height: 37px;
    display: block;
}

ul.product_list .functional-buttons div a:hover, ul.product_list .functional-buttons div label:hover {
    color: #cf082e;
}

ul.product_list .functional-buttons div.wishlist {
    /*border-right: 1px solid $base-border-color;*/
    background: url("../img/megnor/cart-info.png") no-repeat scroll center -30px #f2f0f1;
    -webkit-border-radius: 5px;
    -moz-border-radius: 5px;
    -ms-border-radius: 5px;
    border-radius: 5px;
    -moz-transition-duration: 500ms;
    -webkit-transition-duration: 500ms;
    transition-duration: 500ms;
    /*a:before {
        display: inline-block;
        font-family: $font-icon;
        content: "\f08a";
        margin-right: 3px;
        padding: 8px 3px;
            font-size:14px;
        color: $theme-link-color;
    }
    a.checked:before {
        content: "\f004";
    }*/
}

@media (min-width: 992px) and (max-width: 1199px) {
    ul.product_list .functional-buttons div.wishlist {
        border-right: 0;
    }

    ul.product_list .functional-buttons div.wishlist a:before {
        display: none;
    }
}

@media (min-width: 480px) and (max-width: 767px) {
    ul.product_list .functional-buttons div.wishlist {
        border-right: 0;
    }

    ul.product_list .functional-buttons div.wishlist a:before {
        display: none;
    }
}

ul.product_list .functional-buttons div.wishlist:hover {
    background: url("../img/megnor/cart-info.png") no-repeat scroll center -30px #ffe422;
}

ul.product_list .functional-buttons div.compare {
    background: url("../img/megnor/cart-info.png") no-repeat scroll center -101px #f2f0f1;
    -webkit-border-radius: 5px;
    -moz-border-radius: 5px;
    -ms-border-radius: 5px;
    border-radius: 5px;
    -moz-transition-duration: 500ms;
    -webkit-transition-duration: 500ms;
    transition-duration: 500ms;
    /*a {
        &:before {
            content: "\f067";
            display: inline-block;
            font-family: $font-icon;
            margin-right: 3px;
            padding: 8px 3px;
            font-size:14px;
            color: $theme-link-color;
            @media (min-width: $screen-md) and (max-width: $screen-md-max) { // min 992px max 1199px
                display: none;
            }

            @media (min-width: $screen-xs) and (max-width: $screen-xs-max) { // min 480px max 767px
                display: none;
            }
        }
        &.checked {
            &:before {
                content: "\f068";
            }
        }
    }*/
}

ul.product_list .functional-buttons div.compare:hover {
    background: url("../img/megnor/cart-info.png") no-repeat scroll center -101px #ffe422;
}

/*******************************************************
Product list(Grid) Styles 
********************************************************/
#crossselling li.product-container {
    border-left: 1px solid #e2e2e2;
}

.accessories-block {
    border: none;
    margin-bottom: 0;
}

.accessories-block ul.product_list.grid#accessories-grid li .button-container, .accessories-block ul.tm-carousel#accessories-carousel li .button-container {
    margin-bottom: 14px;
    -moz-transition-duration: 500ms;
    -webkit-transition-duration: 500ms;
    transition-duration: 500ms;
    width: 90px;
}

@media (min-width: 1280px) {
    .accessories-block ul.product_list.grid#accessories-grid li .button-container, .accessories-block ul.tm-carousel#accessories-carousel li .button-container {
        display: none;
        -moz-transition-duration: 500ms;
        -webkit-transition-duration: 500ms;
        transition-duration: 500ms;
        position: absolute;
        top: -45px;
        margin: 0 auto;
        left: 0;
        right: 0;
    }
}

.accessories-block ul.product_list.grid#accessories-grid li .button-container .button.ajax_add_to_cart_button span, .accessories-block ul.tm-carousel#accessories-carousel li .button-container .button.ajax_add_to_cart_button span {
    height: 37px;
}

.accessories-block ul.product_list.grid#accessories-grid li.hovered .button-container, .accessories-block ul.tm-carousel#accessories-carousel li.hovered .button-container {
    display: block;
}

div.star.star_on, .star {
    display: inline;
    float: none;
}

ul.tm-carousel .owl-wrapper-outer {
    margin-left: -2px;
    overflow: hidden;
    position: relative;
    width: 99%;
}

ul.product_list.grid li, ul.tm-carousel li {
    padding: 30px 0;
    margin: 0;
    text-align: center;
}

@media (min-width: 480px) and (max-width: 767px) {
    ul.product_list.grid li, ul.tm-carousel li {
        width: 50%;
        float: left;
    }
}

ul.product_list.grid li {
    padding: 0 10px;
}

ul.product_list.grid li .product-container, ul.tm-carousel li .product-container {
    background: #fff;
    position: relative;
}

ul.product_list.grid li .product-container .product-image-container, ul.tm-carousel li .product-container .product-image-container {
    margin-bottom: 0;
    position: relative;
}

@media (max-width: 767px) {
    ul.product_list.grid li .product-container .product-image-container, ul.tm-carousel li .product-container .product-image-container {
        max-width: 290px;
        margin-left: auto;
        margin-right: auto;
    }
}

ul.product_list.grid li .product-container .product-image-container .content_price, ul.tm-carousel li .product-container .product-image-container .content_price {
    position: absolute;
    left: 0;
    bottom: -1px;
    width: 100%;
    background: url(../img/price-container-bg.png);
    padding: 9px 0;
    display: none;
}

ul.product_list.grid li .product-container .product-image-container .content_price span, ul.tm-carousel li .product-container .product-image-container .content_price span {
    color: #fff;
}

ul.product_list.grid li .product-container .product-image-container .content_price span.old-price, ul.tm-carousel li .product-container .product-image-container .content_price span.old-price {
    color: #b1b0b0;
}

ul.product_list.grid li .product-container h5,
ul.tm-carousel li .product-container h5 {
    margin-bottom: 0;
}

ul.product_list.grid li .product-container h5 a,
ul.tm-carousel li .product-container h5 a {
    width: 100%;
    padding: 0;
    font-weight: bold;
    font-size: 11px;
    background: #f2f2f2;
    color: #333;
    display: flex;
    min-height: 34px;
    border-top: 1px #49565a solid;
    border-left: 1px #49565a solid;
    border-right: 1px #49565a solid;
    align-items: center;
}
ul.product_list.grid li .product-container h5 a div,
ul.tm-carousel li .product-container h5 a div {
    text-align: left;
    line-height: 13px;
}
ul.product_list.grid li .product-container h5 a div span,
ul.tm-carousel li .product-container h5 a div span {
    width: 100%;
    line-height: 13px;
}
.inner-second-name-block {
    flex-wrap: nowrap;
}
.inner-second-name-block span {
    margin-right: 1px;
}
ul.product_list.grid li .product-container h5 a:hover,
ul.tm-carousel li .product-container h5 a:hover {
    background: #ff4539;
    color: white;
}

@media (min-width: 1280px) {
    ul.product_list.grid li .product-container .comments_note, ul.tm-carousel li .product-container .comments_note {
        display: none;
        text-align: center;
        width: 100%;
    }
}

ul.product_list.grid li .product-container .comments_note .star_content, ul.tm-carousel li .product-container .comments_note .star_content {
    margin: 10px 0;
    text-align: center;
    width: 100%;
}

ul.product_list.grid li .product-container .product-desc, ul.tm-carousel li .product-container .product-desc {
    display: none;
}

ul.product_list.grid li .product-container .content_price, ul.tm-carousel li .product-container .content_price {
    display: inline-block;
    float: left;
    width: 45%;
    background: #ff4539;
    text-align: right;
    padding-right: 5px;
    min-height: 25px;
}

ul.product_list.grid li .product-container .content_price span.product-price,
ul.tm-carousel li .product-container .content_price span.product-price {
    padding: 0;
    color: #fff;
    font-weight: bold;
    font-size: 12px;
}

ul.product_list.grid li .product-container .old-price,
ul.product_list.grid li .product-container .price,
ul.product_list.grid li .product-container .price-percent-reduction, ul.tm-carousel li .product-container .old-price,
ul.tm-carousel li .product-container .price,
ul.tm-carousel li .product-container .price-percent-reduction {
    display: inline-block;
}

ul.product_list.grid li .product-container .product-flags {
    position: absolute;
    top: 25px;
}

ul.product_list.grid li .product-container .product-flags .discount, ul.tm-carousel li .product-container .product-flags .discount {
    display: inline-block;
    width: 30px;
    height: 29px;
    background: url(../img/label_discount.png);
}

ul.product_list.grid li .product-container .product-flags .new-box {
    display: inline-block;
    width: 30px;
    height: 29px;
    background: url(../img/label_new.png);
}

ul.product_list.grid li .product-container .right-block .product-flags, ul.tm-carousel li .product-container .right-block .product-flags {
    display: none;
}

ul.product_list.grid li .product-container .old-price, ul.tm-carousel li .product-container .old-price {
    margin-right: 5px;
}

ul.product_list.grid li .product-container .button-container, ul.tm-carousel li .product-container .button-container {
    float: left;
    -moz-transition-duration: 500ms;
    -webkit-transition-duration: 500ms;
    transition-duration: 500ms;
    width: 55%;
    height: 25px;
    border-right: 1px solid #ff4539;
}

ul.product_list.grid li .product-container .button-container .ajax_add_to_cart_button,
ul.product_list.grid li .product-container .button-container span.button, ul.product_list.grid li .product-container .button-container .lnk_view, ul.tm-carousel li .product-container .button-container .ajax_add_to_cart_button,
ul.tm-carousel li .product-container .button-container span.button, ul.tm-carousel li .product-container .button-container .lnk_view {
    margin: 0;
    font-size: 0;
    height: 100%;
}

ul.product_list.grid li .product-container .button-container a.quick-view, ul.tm-carousel li .product-container .button-container a.quick-view {
    background: url("../img/megnor/cart-info.png") no-repeat scroll center -251px #f2f0f1;
    -moz-transition-duration: 500ms;
    -webkit-transition-duration: 500ms;
    transition-duration: 500ms;
    display: block;
    float: right;
    font-size: 0;
    height: 37px;
    width: 40px;
    -webkit-border-radius: 5px;
    -moz-border-radius: 5px;
    -ms-border-radius: 5px;
    border-radius: 5px;
}

@media (max-width: 767px) {
    ul.product_list.grid li .product-container .button-container a.quick-view, ul.tm-carousel li .product-container .button-container a.quick-view {
        display: none;
    }
}

ul.product_list.grid li .product-container .button-container a.quick-view:hover, ul.tm-carousel li .product-container .button-container a.quick-view:hover {
    background-color: #ffe422;
    -moz-transition-duration: 500ms;
    -webkit-transition-duration: 500ms;
    transition-duration: 500ms;
}

ul.product_list.grid li .product-container .functional-buttons, ul.tm-carousel li .product-container .functional-buttons {
    padding: 0;
    width: 140px;
    -moz-transition-duration: 500ms;
    -webkit-transition-duration: 500ms;
    transition-duration: 500ms;
    display: none;
}

@media (min-width: 1280px) {
    ul.product_list.grid li .product-container .functional-buttons, ul.tm-carousel li .product-container .functional-buttons {
        display: none;
    }
}

ul.product_list.grid li .product-container .functional-buttons div, ul.tm-carousel li .product-container .functional-buttons div {
    width: 41px;
    margin: 0 3px;
    float: right;
    height: 37px;
    padding: 0;
}

ul.product_list.grid li .product-container .right-block, ul.tm-carousel li .product-container .right-block {
    position: relative;
}

ul.product_list.grid li .product-container .right-block .functional-buttons, ul.tm-carousel li .product-container .right-block .functional-buttons {
    display: block;
}

@media (min-width: 1280px) {
    ul.product_list.grid li.hovered .product-container, ul.tm-carousel li.hovered .product-container {
        /*@include box-shadow(rgba(black, 0.17) 0 0 13px);*/
        position: relative;
        z-index: 10;
        -moz-transition-duration: 500ms;
        -webkit-transition-duration: 500ms;
        transition-duration: 500ms;
    }

    ul.product_list.grid li.hovered .product-container .content_price, ul.tm-carousel li.hovered .product-container .content_price {
        display: block;
    }

    ul.product_list.grid li.hovered .product-container img, ul.tm-carousel li.hovered .product-container img {
        -moz-transition-duration: 1500ms;
        -webkit-transition-duration: 1500ms;
        transition-duration: 1500ms;
        transform: scale(1.1);
    }

    ul.product_list.grid li.hovered .product-container .product-image-container .content_price, ul.tm-carousel li.hovered .product-container .product-image-container .content_price {
        display: none;
    }

    ul.product_list.grid li.hovered .product-container .product-image-container .quick-view, ul.tm-carousel li.hovered .product-container .product-image-container .quick-view {
        display: block;
        -moz-transition-duration: 500ms;
        -webkit-transition-duration: 500ms;
        transition-duration: 500ms;
    }

    ul.product_list.grid li.hovered .product-container .button-container, ul.product_list.grid li.hovered .product-container .comments_note, ul.product_list.grid li.hovered .product-container .new-box, ul.tm-carousel li.hovered .product-container .button-container, ul.tm-carousel li.hovered .product-container .comments_note, ul.tm-carousel li.hovered .product-container .new-box {
        display: block;
        -moz-transition-duration: 500ms;
        -webkit-transition-duration: 500ms;
        transition-duration: 500ms;
    }
}

@media (min-width: 480px) and (max-width: 991px) {
    ul.product_list.grid li.first-item-of-tablet-line, ul.tm-carousel li.first-item-of-tablet-line {
        clear: both;
    }
}

ul.product_list.grid li.hovered h5, ul.tm-carousel li.hovered h5 {
    /*	min-height: 30px;*/
}

@media (min-width: 1280px) {
    #blockpack ul > li.last-line {
        /*border: none;*/
        padding-bottom: 0;
        margin-bottom: 30px;
    }
}

@media (min-width: 480px) and (max-width: 767px) {
    #blockpack ul > li.first-item-of-tablet-line {
        clear: none;
    }

    #blockpack ul > li.first-item-of-mobile-line {
        clear: left;
    }
}

/*******************************************************
Product Curosol in Home Page Styles 
********************************************************/
@media (min-width: 480px) and (max-width: 767px) {
    ul.tm-carousel li {
        width: 100%;
        float: left;
    }
}

ul.tm-carousel li .quick-view {
    font: 700 13px/16px "Open Sans", Arial, Helvetica, sans-serif;
    color: #777676;
    margin: 0;
    padding: 13px 0 0;
    background: #fff;
    -webkit-border-radius: 5px;
    -moz-border-radius: 5px;
    -ms-border-radius: 5px;
    border-radius: 5px;
    width: 107px;
    height: 43px;
    display: block;
    text-align: center;
}

@media (min-width: 1280px) {
    ul.tm-carousel li .quick-view {
        display: none;
    }
}

@media (max-width: 767px) {
    ul.tm-carousel li .quick-view {
        display: none !important;
    }
}

/*******************************************************
Product list(Index page) Styles 
********************************************************/
#index ul.product_list.tab-pane > li {
    margin-bottom: 10px;
    margin-top: 0;
}

#index ul.product_list .product-container {
    margin-top: 0;
}

#index ul.product_list.tab-pane > li .availability {
    display: none;
}

@media (min-width: 1280px) {
    #index ul.product_list.tab-pane > li.last-line {
        /*border: none;
        padding-bottom: 0;*/
        margin-bottom: 0;
    }
}

@media (min-width: 480px) and (max-width: 767px) {
    #index ul.product_list.tab-pane > li.first-item-of-tablet-line {
        clear: none;
    }

    #index ul.product_list.tab-pane > li.first-item-of-mobile-line {
        clear: left;
    }
}

/******* Custom *****/
/*.feature-col-17 {*/
/*    max-width: 80px;*/
/*}*/

/*.feature-col-18 {*/
/*    max-width: 60px;*/
/*}*/

/*.feature-col-20 {*/
/*    max-width: 50px;*/
/*}*/

/*.feature-col-23 {*/
/*    max-width: 80px;*/
/*}*/

/*.feature-col-25 {*/
/*    max-width: 70px;*/
/*}*/

/*#search table.table.product-list-table > thead > tr > th {*/
/*    width: 13%;*/
/*}*/

/*#search table.table.product-list-table > thead > tr > th.compare {*/
/*    width: 9%;*/
/*}*/

.product-container .compare {
    float: right;
    position: relative;
    margin-top: -30px;
    display: none;
}

.product_list li:hover .compare {
    display: block;
}

.product-list-container .compare .compare-icon {
    display: block;
    width: 22px;
    height: 18px;
    background-image: url(../img/cmp_icon.png);
}

.product-list-container .compare a:hover .compare-icon,
.product-list-container .compare a.in-comparison .compare-icon {
    background-position: 0 20px;
}

ul.product_list .product-image-container .quick-view {
    display: none;
    font-size: 14px;
    line-height: 14px;
    color: #ff4539;
    position: absolute;
    top: 50%;
    padding: 18px;
    background: rgba(255, 255, 255, 0.82);
    text-align: center;
    text-transform: uppercase;
    width: 100%;
    font-weight: bold;
    margin: -21px 0 0 0;
    opacity: 0.7;
}

@media screen and (max-width: 1200px) {
    ul.product_list .product-image-container .quick-view {
        display: block;
    }

    ul.product_list .ajax_add_to_cart_button i.cart-icon,
    ul.product_list .ajax_add_to_cart_button span.divider {
        display: none;
    }

    ul.product_list.grid li .product-container .button-container {
        padding-left: 0;
    }

    ul.product_list.grid li .product-container .button-container span {
        text-align: center;
    }
}

ul.product_list li:hover .quick-view {
    display: block;
}

ul.product_list .product-image-container .quick-view:hover {
    opacity: 1;
}

@media screen and (max-width: 991px) {
    .product-container .compare {
        display: block;
    }
}

ul.product_list.grid .right-block .hidden-desk {
    display:none;
}
ul.product_list.grid .right-block .hidden-desk-xs {
    display:none;
}
ul.product_list.grid .right-block .inner .hidden-mob {
    display:block;
    padding: 0 15px;
    font-size: 12px;
    text-transform: none;
    width: 100%;
    min-height: 25px;
}

@media (max-width: 1215px) {
    ul.product_list.grid .right-block .inner .hidden-desk {
        display:block;
    }
    ul.product_list.grid .right-block .inner .hidden-mob {
        display:none;
    }
    .product-list-grid .ic-list-button {
        min-height: 25px;
        float: right;
    }
    .product-list-grid .ic-list-button i{
        display: flex;
        justify-content: center;
    }
}

@media (max-width: 600px) {
    .product-list-grid .ic-list-button {
        float: right;
        min-height: 25px;
    }
    .product-list-grid .ic-list-button i{
        display: flex;
        justify-content: center;
    }
    .product-list-grid .product-image-container{
        width: auto;
        height: 115px;
        max-height: 115px;
        overflow-y: hidden;
    }
    ul.product_list.grid li .product-container h5 a, ul.tm-carousel li .product-container h5 a {
        font-size: 11px;
        overflow: hidden;
    }
    ul.product_list.grid .right-block h5 .hidden-mob {
        display:none;
    }
    ul.product_list.grid .right-block h5 .hidden-desk {
        display: flex;
    }
    ul.product_list.grid .right-block {
        margin-top: -20px;
    }

    ul.product_list.grid li .product-container .product-image-container, ul.tm-carousel li .product-container .product-image-container {
        margin-bottom: 0;

    }
    ul.product_list.grid .right-block h5 .inner .hidden-desk {
        display:block;
    }
    ul.product_list.grid li .product-container .content_price span.product-price,
    ul.tm-carousel li .product-container .content_price span.product-price {
        font-size: 12px;
    }
}

@media (max-width: 375px) {
    ul.product_list.grid .right-block h5 .hidden-desk {
        display:none;
    }
    ul.product_list.grid .right-block h5 .hidden-desk-xs {
        display:block;
    }
}

.product-list-table .button.ajax_add_to_cart_button {
    padding: 1px 0 0 0;
    height: 22px;
}
.product-list-table tbody td span {
    /*white-space: nowrap;*/
}

ul.product_list.grid .right-block .product-quantity {
    width: 100%;
    border-top: 1px #49565a solid;
    border-left: 1px #49565a solid;
    border-right: 1px #49565a solid;
    border-bottom: 1px #ff4539 solid;
    padding: 0 10px;
    font-weight: bold;
    font-size: 11px;
    background: white;
    line-height: 19px;
    font-family: "Open Sans", Arial, Helvetica, sans-serif;
    color: #333;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.first-name-block {
    display: flex;
    flex-wrap: wrap;
    padding-right: 0;
}

.second-name-block {
    padding-left: 3px;
    padding-right: 0;
    font-size: 11px;
}